package com.cf.imes.module.system.service.machine;

import com.cf.imes.framework.common.pojo.PageResult;
import com.cf.imes.module.system.controller.admin.machine.vo.SettingPageReqVO;
import com.cf.imes.module.system.dal.dataobject.machine.MachineDO;
import org.springframework.stereotype.Service;
import java.io.IOException;
import java.util.List;

/**
 * @author there
 */
@Service
public class MachineSettingServiceImpl implements MachineSettingService {

    public final static String MACHINE_SETTING = "user_machine";

    @Override
    public PageResult<MachineDO> page(SettingPageReqVO pageReqVO) throws IOException {
        return PageResult.empty();

    }

    @Override
    public String create(MachineDO machineDO) throws Exception {
        return null;
        /*IndexResponse response = esDocumentService.createByFluentDSL(MACHINE_SETTING, machineDO.getId(), machineDO);
        return response.id();*/
    }

    @Override
    public String update(MachineDO machineDO) throws IOException {
        return null;
      /*  Result result = esDocumentService.updateById(MACHINE_SETTING, machineDO.getId(), MachineDO.class, BeanUtil.beanToMap(machineDO));
        return result.jsonValue();*/
    }

    @Override
    public Boolean delete(String id) throws IOException {
        return true;
    }

    @Override
    public Boolean batchDelete(List<String> ids) throws Exception {
        return true;
    }

    @Override
    public MachineDO get(String id) throws IOException {
        return null;
    }
}
